Index: src/sas/sasgui/perspectives/fitting/fitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitpage.py	(revision 6c382da7a67e14f0ad75317f0696ce771b802d39)
+++ src/sas/sasgui/perspectives/fitting/fitpage.py	(revision 4c3be25d8a666eaaf1edd8b30db518e151535fe6)
@@ -624,5 +624,5 @@
         ## fill a sizer with the combobox to select dispersion type
         model_disp = wx.StaticText(self, wx.ID_ANY, 'Function')
-        CHECK_STATE = self.cb1.GetValue()
+        CHECK_STATE = False
 
         ix = 0
@@ -969,5 +969,4 @@
         self.state.model = self.model.clone()
         ## save state into
-        self.state.cb1 = self.cb1.GetValue()
         self._copy_parameters_state(self.parameters, self.state.parameters)
         self._copy_parameters_state(self.orientation_params_disp,
@@ -980,5 +979,4 @@
                      StatusEvent(status=" Selected Distribution: Gaussian"))
         #Fill the list of fittable parameters
-        #self.select_all_param(event=None)
         self.get_all_checked_params()
         self.Layout()
@@ -2695,71 +2693,4 @@
         self._manager.set_param2fit(self.uid, param2fit)
 
-    def select_all_param(self, event):
-        """
-        set to true or false all checkBox given the main checkbox value cb1
-        """
-        self.param_toFit = []
-        if  self.parameters != []:
-            if  self.cb1.GetValue():
-                for item in self.parameters:
-                    if item[0].IsShown():
-                        ## for data2D select all to fit
-                        if self.data.__class__.__name__ == "Data2D" or \
-                                self.enable2D:
-                            item[0].SetValue(True)
-                            self.param_toFit.append(item)
-                        else:
-                            ## for 1D all parameters except orientation
-                            if not item in self.orientation_params:
-                                item[0].SetValue(True)
-                                self.param_toFit.append(item)
-                    else:
-                        item[0].SetValue(False)
-                #if len(self.fittable_param)>0:
-                for item in self.fittable_param:
-                    if item[0].IsShown():
-                        if self.data.__class__.__name__ == "Data2D" or \
-                                self.enable2D:
-                            item[0].SetValue(True)
-                            self.param_toFit.append(item)
-                            try:
-                                if len(self.values[item[1]]) > 0:
-                                    item[0].SetValue(False)
-                            except:
-                                pass
-
-                        else:
-                            ## for 1D all parameters except orientation
-                            if not item in self.orientation_params_disp:
-                                item[0].SetValue(True)
-                                self.param_toFit.append(item)
-                                try:
-                                    if len(self.values[item[1]]) > 0:
-                                        item[0].SetValue(False)
-                                except:
-                                    pass
-                    else:
-                        item[0].SetValue(False)
-
-            else:
-                for item in self.parameters:
-                    item[0].SetValue(False)
-                for item in self.fittable_param:
-                    item[0].SetValue(False)
-                self.param_toFit = []
-
-        self.save_current_state_fit()
-
-        if event != None:
-            #self._undo.Enable(True)
-            ## post state to fit panel
-            event = PageInfoEvent(page=self)
-            wx.PostEvent(self.parent, event)
-        param2fit = []
-        for item in self.param_toFit:
-            if item[0] and item[0].IsShown():
-                param2fit.append(item[1])
-        self.parent._manager.set_param2fit(self.uid, param2fit)
-
     def select_param(self, event):
         """
@@ -2808,10 +2739,4 @@
         if len(self.fittable_param) > 0:
             len_orient_para *= 2
-        #Set the value of checkbox that selected every checkbox or not
-        if len(self.parameters) + len(self.fittable_param) - len_orient_para \
-            == len(self.param_toFit):
-            self.cb1.SetValue(True)
-        else:
-            self.cb1.SetValue(False)
 
         self.save_current_state_fit()
@@ -2915,12 +2840,6 @@
         iy = 0
         ix = 0
-        select_text = "Select All"
-        self.cb1 = wx.CheckBox(self, wx.ID_ANY, str(select_text), (10, 10))
-        wx.EVT_CHECKBOX(self, self.cb1.GetId(), self.select_all_param)
-        self.cb1.SetToolTipString("To check/uncheck all the boxes below.")
-        self.cb1.SetValue(True)
-
-        sizer.Add(self.cb1, (iy, ix), (1, 1), \
-                             wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 5)
+        sizer.Add(wx.StaticText(self, wx.ID_ANY, 'Parameter'),
+                  (iy, ix), (1, 1), wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         ix += 1
         self.text2_2 = wx.StaticText(self, wx.ID_ANY, 'Value')
@@ -2949,5 +2868,5 @@
         self.text2_4.Hide()
 
-        CHECK_STATE = self.cb1.GetValue()
+        CHECK_STATE = False
         for item in keys:
 
